/*********************************************************************
 * Job Ticket API (JTAPI)                                            
 *                                                                   
 * Copyright (c) 2003 International Business Machines Corp. 
 * Copyright (c) 2003 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON 
 * PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION 
 * OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * jtapi_cpl.h and applies to the contents of this file. 
 *********************************************************************/

#ifndef JTAPI_DESTINATION_H
#define JTAPI_DESTINATION_H

#include <jtapi.h>

/* Constant to use for the type of this jtapi object */
#define JTAPI_DESTINATION_TYPE  "JTAPI_DESTINATION"

/************************************************************
 * Destination attributes
 ***********************************************************/
#define DESTINATION_URI            "destination-uri"

/************************************************************
 * newDestination - Creates a Destination object having the 
 * provided URI.
 *
 * param jtapi_object_t* destination - Pointer to the new 
 *      Destination object to create
 * param char* uri - URI of the destination to create
 *
 * return jtapi_status_t
 ***********************************************************/
jtapi_status_t newDestination(jtapi_object_t* destination,
                              char* uri);

#endif /* JTAPI_DESTINATION_H */
